Skip to content

Partially update a company

PATCH
/api/companies/{companyid}
curl --request PATCH \
--url https://api.eventpoint.io/api/companies/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '{ "name": "example", "displayName": "example", "email": "example", "description": "example", "contactInformation": "example", "url": "example", "styleContent": "example", "companyTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "address1": "example", "address2": "example", "city": "example", "state": "example", "country": "example", "postalCode": "example", "socials": "example", "externalId": "example", "approved": true, "published": true, "meta": "example", "event": { "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "exhibitorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sponsorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "vendorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } }'
companyid
required
string format: uuid

The company identifier.

Only the company values that should change.

Editable company fields for create and partial update.

object
name
null | string
displayName
null | string
email
null | string
description
null | string
contactInformation
null | string
url
null | string
styleContent
null | string
companyTypeId
null | string format: uuid
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
socials
null | string
externalId
null | string
approved
boolean
published
boolean
meta
null | object
event

An optional event assignment applied with a company mutation.

object
eventId
string format: uuid
exhibitorTypeId
null | string format: uuid
sponsorTypeId
null | string format: uuid
vendorTypeId
null | string format: uuid
Examplegenerated
{
"name": "example",
"displayName": "example",
"email": "example",
"description": "example",
"contactInformation": "example",
"url": "example",
"styleContent": "example",
"companyTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"address1": "example",
"address2": "example",
"city": "example",
"state": "example",
"country": "example",
"postalCode": "example",
"socials": "example",
"externalId": "example",
"approved": true,
"published": true,
"meta": "example",
"event": {
"eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"exhibitorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"sponsorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"vendorTypeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
}

OK

object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
name
null | string
displayName
null | string
email
null | string
description
null | string
url
null | string
contactInformation
null | string
companyTypeId
null | string format: uuid
address1
null | string
address2
null | string
city
null | string
state
null | string
country
null | string
postalCode
null | string
latitude
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
longitude
null | number | string format: double
/^-?(?:0|[1-9]\d*)(?:\.\d+)?(?:[eE][+-]?\d+)?$/
imageUrl
null | string
imageAssetId
null | string format: uuid
createdByUserId
null | string format: uuid
socials
null | string
externalId
null | string
approved
boolean
published
boolean
style
object
hasStyle
boolean
primaryColor
null | string
secondaryColor
null | string
backgroundColor
null | string
textColor
null | string
contrastColor
null | string
fontFamily
null | string
secondaryContrastColor
null | string
meta
null | object
profileImages
object
defaultOriginal
null | string
defaultLarge
null | string
defaultMedium
null | string
defaultSmall
null | string
thumbnailSmall
null | string
thumbnailLarge
null | string

Bad Request

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>

Forbidden

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string

Not Found

object
type
null | string
title
null | string
status
null | integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
detail
null | string
instance
null | string